### Method

# Gck Attribute dup

#### Declaration [src]

    GckAttribute*
    gck_attribute_dup (
      const GckAttribute* attr
    )

#### Description [src]

Duplicate the PKCS#11 attribute. All value memory is also copied.

The `attr` must have been allocated or initialized by a Gck function or the results of this function are undefined.

#### Return value

Type: `GckAttribute`

The duplicated attribute; use `gck_attribute_free()` to free it.

The caller of the method takes ownership of the data, and is responsible for freeing it.